Debian Bug report logs - #580429
Please provide battstat applet again

version graph

Package: gnome-applets; Maintainer for gnome-applets is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-applets is src:gnome-applets.

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Wed, 5 May 2010 23:03:01 UTC

Severity: wishlist

Tags: patch

Found in version gnome-applets/2.30.0-1

Fixed in version 2.30.0-3

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=607254

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Wed, 05 May 2010 23:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Wed, 05 May 2010 23:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please disable hal support / battstat applet
Date: Thu, 06 May 2010 00:58:20 +0200
Package: gnome-applets
Version: 2.30.0-1
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: halectomy

Hi,

as we eventually want to get rid of hal [1], I checked where it is used
within gnome-applets. It seems, only the battstat (battstat/*) applet
still requires hal.
There are two options:
1/ Disable hal support in battstat (--disable-hal configure switch). It
seems to have fallback code so it should still be operational.
2/ Remove battstat completely (--disable-battstat configure switch).
Does it still have any useful features (over gnome-power-manager), that
make it worthwile to keep?

I'd lean towards 2/ but leave the decision up to you.

Cheers,
Michael


[1] http://wiki.debian.org/HALRemoval

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-applets depends on:
ii  gconf2                      2.28.1-3     GNOME configuration database syste
ii  gnome-applets-data          2.30.0-1     Various applets for the GNOME pane
ii  gnome-icon-theme            2.30.2.1-1   GNOME Desktop icon theme
ii  gnome-panel                 2.28.0-3+b1  launcher and docking facility for 
ii  gstreamer0.10-alsa [gstream 0.10.29-1    GStreamer plugin for ALSA
ii  gstreamer0.10-plugins-bad [ 0.10.18-2+b1 GStreamer plugins from the "bad" s
ii  gstreamer0.10-plugins-good  0.10.22-1    GStreamer plugins from the "good" 
ii  gstreamer0.10-pulseaudio [g 0.10.22-1    GStreamer plugin for PulseAudio
hi  gvfs                        1.6.1-1      userspace virtual filesystem - ser
ii  libapm1                     3.2.2-14     Library for interacting with APM d
ii  libatk1.0-0                 1.30.0-1     The ATK accessibility toolkit
ii  libbonobo2-0                2.24.3-1     Bonobo CORBA interfaces library
ii  libbonoboui2-0              2.24.3-1     The Bonobo UI library
ii  libc6                       2.10.2-6     Embedded GNU C Library: Shared lib
ii  libcpufreq0                 006-2        shared library to deal with the cp
ii  libdbus-1-3                 1.2.24-2     simple interprocess messaging syst
ii  libdbus-glib-1-2            0.86-1       simple interprocess messaging syst
ii  libgconf2-4                 2.28.1-3     GNOME configuration database syste
ii  libglib2.0-0                2.24.1-1     The GLib library of C routines
ii  libgnome-desktop-2-17       2.30.0-2     Utility library for loading .deskt
ii  libgnome2-0                 2.30.0-1     The GNOME library - runtime files
ii  libgstreamer-plugins-base0. 0.10.29-1    GStreamer libraries from the "base
ii  libgstreamer0.10-0          0.10.29-1    Core GStreamer libraries and eleme
ii  libgtk2.0-0                 2.20.1-1     The GTK+ graphical user interface 
ii  libgtop2-7                  2.28.1-1     gtop system monitoring library (sh
ii  libgucharmap7               1:2.30.1-1   Unicode browser widget library (sh
ii  libgweather1                2.30.0-1     GWeather shared library
ii  libhal1                     0.5.14-2     Hardware Abstraction Layer - share
ii  libnotify1 [libnotify1-gtk2 0.4.5-1      sends desktop notifications to a n
ii  liboobs-1-4                 2.30.0-2     GObject based interface to system-
ii  libpanel-applet2-0          2.28.0-3+b1  library for GNOME Panel applets
ii  libpango1.0-0               1.28.0-1     Layout and rendering of internatio
ii  libpolkit-gobject-1-0       0.96-2       PolicyKit Authorization API
ii  libwnck22                   2.30.0-2     Window Navigator Construction Kit 
ii  libx11-6                    2:1.3.3-3    X11 client-side library
ii  libxml2                     2.7.7.dfsg-2 GNOME XML library
ii  python                      2.5.4-9      An interactive high-level object-o

Versions of packages gnome-applets recommends:
ii  cpufrequtils                  006-2      utilities to deal with the cpufreq
ii  deskbar-applet                2.30.1-1   universal search and navigation ba
ii  gnome-media                   2.30.0-1   GNOME media utilities
ii  gnome-netstatus-applet        2.28.1-1   Network status applet for GNOME
ii  gnome-system-monitor          2.28.1-1   Process viewer and system resource
ii  policykit-1-gnome             0.96-2     GNOME authentication agent for Pol
ii  python-gconf                  2.28.1-1   Python bindings for the GConf conf
ii  python-gnome2                 2.28.1-1   Python bindings for the GNOME desk
ii  python-gnomeapplet            2.30.0-1   Python bindings for the GNOME pane
ii  python-gobject                2.21.1-1   Python bindings for the GObject li
ii  python-gtk2                   2.17.0-2   Python bindings for the GTK+ widge

Versions of packages gnome-applets suggests:
ii  acpid                         1:2.0.4-1  Advanced Configuration and Power I
ii  tomboy                        1.2.1-1    desktop note taking program using 

-- no debconf information




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Jun 2010 23:21:03 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Tue, 29 Jun 2010 23:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 580429-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 580429-close@bugs.debian.org
Subject: Bug#580429: fixed in gnome-applets 2.30.0-2
Date: Tue, 29 Jun 2010 23:17:27 +0000
Source: gnome-applets
Source-Version: 2.30.0-2

We believe that the bug you reported is fixed in the latest version of
gnome-applets, which is due to be installed in the Debian FTP archive:

gnome-applets-data_2.30.0-2_all.deb
  to main/g/gnome-applets/gnome-applets-data_2.30.0-2_all.deb
gnome-applets-dbg_2.30.0-2_i386.deb
  to main/g/gnome-applets/gnome-applets-dbg_2.30.0-2_i386.deb
gnome-applets_2.30.0-2.debian.tar.gz
  to main/g/gnome-applets/gnome-applets_2.30.0-2.debian.tar.gz
gnome-applets_2.30.0-2.dsc
  to main/g/gnome-applets/gnome-applets_2.30.0-2.dsc
gnome-applets_2.30.0-2_i386.deb
  to main/g/gnome-applets/gnome-applets_2.30.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580429@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated gnome-applets package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 30 Jun 2010 00:16:59 +0200
Source: gnome-applets
Binary: gnome-applets-data gnome-applets gnome-applets-dbg
Architecture: source all i386
Version: 2.30.0-2
Distribution: unstable
Urgency: low
Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 gnome-applets - Various applets for the GNOME panel - binary files
 gnome-applets-data - Various applets for the GNOME panel - data files
 gnome-applets-dbg - Various applets for the GNOME panel - binary files with debugging
Closes: 580429
Changes: 
 gnome-applets (2.30.0-2) unstable; urgency=low
 .
   [ Josselin Mouette ]
   * Disable HAL, APM, and the battstat applet. Closes: #580429.
 .
   [ Michael Biebl ]
   * Switch to source format 3.0 (quilt)
     - Add debian/source/format.
     - Drop Build-Depends on quilt.
     - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
     - Refresh patches so they apply without fuzz.
   * debian/control
     - Drop Build-Depends on dpkg-dev (>= 1.13.19). Even oldstable has a more
       recent version of dpkg-dev.
     - Stop mentioning the battstat applet in the package description as we no
       longer ship it.
Checksums-Sha1: 
 ace711722069c7de14c6e9d32f443bef5231ef98 2484 gnome-applets_2.30.0-2.dsc
 669adbe64619b7106d084f08814763a2980a2faa 44175 gnome-applets_2.30.0-2.debian.tar.gz
 d8b4e5b637be383499ee7e0177cc59f94fd8b745 8521106 gnome-applets-data_2.30.0-2_all.deb
 ce5f21473b5954f80321e89c08a8412d799b3589 269872 gnome-applets_2.30.0-2_i386.deb
 ed11385987f6808f0ebda9d11a8f1af5fc240f9b 650650 gnome-applets-dbg_2.30.0-2_i386.deb
Checksums-Sha256: 
 e9dbc223d4819288bf7b91c4a93620dc44d60b0523fea4da9aee29e25f78772a 2484 gnome-applets_2.30.0-2.dsc
 710848461c734dd7e35e749046446b4fe11545956cc69d1de4bb0de15aa23538 44175 gnome-applets_2.30.0-2.debian.tar.gz
 ec1abf4d9161e3cfc58df96c6deeca3283eac6b866751292cb3f44c72dd14ab8 8521106 gnome-applets-data_2.30.0-2_all.deb
 6231604cab28919ad91f384d51761005a095afa60ea2daef80924946cf9162c7 269872 gnome-applets_2.30.0-2_i386.deb
 25252964969e4b94ebff67c838cd1a98535c0595fc65b85c94cdce9ab5618125 650650 gnome-applets-dbg_2.30.0-2_i386.deb
Files: 
 d6333e6ee94c86cc05f4a2af85b635fd 2484 gnome optional gnome-applets_2.30.0-2.dsc
 abaef9eca4b5e6121e0ca691421c7801 44175 gnome optional gnome-applets_2.30.0-2.debian.tar.gz
 ae682300ea4ca59538c25cc2ecc43d2e 8521106 gnome optional gnome-applets-data_2.30.0-2_all.deb
 6fea4c07236cb655dbd75c90f46b0be9 269872 gnome optional gnome-applets_2.30.0-2_i386.deb
 4c31187845c139da6161d3509827430e 650650 debug extra gnome-applets-dbg_2.30.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwqfC8ACgkQh7PER70FhVTumgCgyg4hSxNPhScznfRTam/l9cx0
tGEAoLzrSBm10PSGfRguSsOE+9gkvr1d
=+wNL
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Fri, 02 Jul 2010 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Fri, 02 Jul 2010 06:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 580429@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 580429@bugs.debian.org, control@bugs.debian.org
Subject: Re: Please disable hal support / battstat applet
Date: Fri, 02 Jul 2010 08:48:48 +0200
[Message part 1 (text/plain, inline)]
reopen 580429
retitle 580429 Please provide battstat applet again
severity 580429 wishlist 
submitter 580429 !
thanks

Hi,

Am Donnerstag, den 06.05.2010, 00:58 +0200 schrieb Michael Biebl:
> as we eventually want to get rid of hal [1], I checked where it is used
> within gnome-applets. It seems, only the battstat (battstat/*) applet
> still requires hal.
> There are two options:
> 1/ Disable hal support in battstat (--disable-hal configure switch). It
> seems to have fallback code so it should still be operational.
> 2/ Remove battstat completely (--disable-battstat configure switch).
> Does it still have any useful features (over gnome-power-manager), that
> make it worthwile to keep?
> 
> I'd lean towards 2/ but leave the decision up to you.

I’m a user of the battstat applet and was surprised to find it defunct
in the latest version. I has a look at the gnome-power-manager display,
but found it inferior to the applet:
 * At least on my vertical panel, the gnome-power-manager icon was
shorter than the applet, thus provided a less exact view on the battery
status.
 * g-p-m puts it in the _notification_ area, although it provides (at
least when permanently on) status information that I would like to place
freely on the panel, next to other status informations. This ways, it is
always at the same position, no matter how many notifications I am
receiving.

I’d be grateful if the applet could come back.

Thanks,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions gnome-applets/2.30.0-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Jul 2010 06:51:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'Please provide battstat applet again' from 'Please disable hal support / battstat applet' Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 02 Jul 2010 06:51:12 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 02 Jul 2010 06:51:13 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Joachim Breitner <nomeata@debian.org>' from 'Michael Biebl <biebl@debian.org>' Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 02 Jul 2010 06:51:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Fri, 02 Jul 2010 08:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 580429@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Fri, 02 Jul 2010 08:12:03 GMT) Full text and rfc822 format available.

Message #28 received at 580429@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Joachim Breitner <nomeata@debian.org>, 580429@bugs.debian.org
Subject: Re: Bug#580429: Please disable hal support / battstat applet
Date: Fri, 02 Jul 2010 10:07:54 +0200
Le vendredi 02 juillet 2010 à 08:48 +0200, Joachim Breitner a écrit :
> I’m a user of the battstat applet and was surprised to find it defunct
> in the latest version. I has a look at the gnome-power-manager display,
> but found it inferior to the applet:
>  * At least on my vertical panel, the gnome-power-manager icon was
> shorter than the applet, thus provided a less exact view on the battery
> status.
>  * g-p-m puts it in the _notification_ area, although it provides (at
> least when permanently on) status information that I would like to place
> freely on the panel, next to other status informations. This ways, it is
> always at the same position, no matter how many notifications I am
> receiving.

The battstat applet is a nice one of course, but it uses an obsolete
interface that we want to get rid of.

It shouldn’t be too hard to port it to use upower instead of HAL.
Unfortunately no one has found interest for it so far.

Cheers,
-- 
 .''`.
: :' :      “Fuck you sir, don’t be suprised when you die if
`. `'       you burn in Hell, because I am a solid Christian
  `-        and I am praying for you.”   --  Mike





Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Fri, 02 Jul 2010 08:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Fri, 02 Jul 2010 08:21:02 GMT) Full text and rfc822 format available.

Message #33 received at 580429@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 580429@bugs.debian.org
Subject: Re: Bug#580429: Please disable hal support / battstat applet
Date: Fri, 02 Jul 2010 10:19:05 +0200
[Message part 1 (text/plain, inline)]
Dear Josselin,

 Am Freitag, den 02.07.2010, 10:07 +0200 schrieb Josselin Mouette:
> Le vendredi 02 juillet 2010 à 08:48 +0200, Joachim Breitner a écrit :
> > I’m a user of the battstat applet and was surprised to find it defunct
> > in the latest version. I has a look at the gnome-power-manager display,
> > but found it inferior to the applet:
> >  * At least on my vertical panel, the gnome-power-manager icon was
> > shorter than the applet, thus provided a less exact view on the battery
> > status.
> >  * g-p-m puts it in the _notification_ area, although it provides (at
> > least when permanently on) status information that I would like to place
> > freely on the panel, next to other status informations. This ways, it is
> > always at the same position, no matter how many notifications I am
> > receiving.
> 
> The battstat applet is a nice one of course, but it uses an obsolete
> interface that we want to get rid of.
> 
> It shouldn’t be too hard to port it to use upower instead of HAL.
> Unfortunately no one has found interest for it so far.

just for reference, this seems to be a related upstream bug:
https://bugzilla.gnome.org/show_bug.cgi?id=607254

You could just enable the ACPI code and see if users complain.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=607254'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Fri, 02 Jul 2010 08:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Sat, 03 Jul 2010 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Giard <evilynux@gmail.com>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Sat, 03 Jul 2010 00:36:03 GMT) Full text and rfc822 format available.

Message #40 received at 580429@bugs.debian.org (full text, mbox):

From: Pascal Giard <evilynux@gmail.com>
To: 580429@bugs.debian.org
Subject: Estimated time remaining
Date: Fri, 2 Jul 2010 20:32:53 -0400
I could live without battstat if gnome-power-manager could provide an
"estimated time remaining" like battstat does.
Have I misconfigured gnome-power-manager or that feature is missing?

Cheers,

-Pascal
-- 
Homepage (http://organact.mine.nu)
Debian GNU/Linux (http://www.debian.org)
COMunité/LACIME: École de technologie supérieure (http://www.comunite.ca)




Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Sat, 03 Jul 2010 01:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 580429@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Sat, 03 Jul 2010 01:06:06 GMT) Full text and rfc822 format available.

Message #45 received at 580429@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Pascal Giard <evilynux@gmail.com>, 580429@bugs.debian.org
Subject: Re: Bug#580429: Estimated time remaining
Date: Sat, 03 Jul 2010 03:05:05 +0200
[Message part 1 (text/plain, inline)]
Le vendredi 02 juillet 2010 à 20:32 -0400, Pascal Giard a écrit :
> I could live without battstat if gnome-power-manager could provide an
> "estimated time remaining" like battstat does.
> Have I misconfigured gnome-power-manager or that feature is missing?

On my laptop this is displayed in the tooltip when I put the mouse over
the icon.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Sat, 03 Jul 2010 01:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Giard <evilynux@gmail.com>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Sat, 03 Jul 2010 01:15:03 GMT) Full text and rfc822 format available.

Message #50 received at 580429@bugs.debian.org (full text, mbox):

From: Pascal Giard <evilynux@gmail.com>
To: 580429@bugs.debian.org
Subject: Re: Bug#580429: Estimated time remaining
Date: Fri, 2 Jul 2010 21:10:24 -0400
On Fri, Jul 2, 2010 at 9:05 PM, Josselin Mouette <joss@debian.org> wrote:
> Le vendredi 02 juillet 2010 à 20:32 -0400, Pascal Giard a écrit :
>> I could live without battstat if gnome-power-manager could provide an
>> "estimated time remaining" like battstat does.
>> Have I misconfigured gnome-power-manager or that feature is missing?
>
> On my laptop this is displayed in the tooltip when I put the mouse over
> the icon.

I only get "Batterie de l'ordinateur: en déchar (63.2%)", no estimated
time remaining...
Am I missing something?

Is upower still not supporting some features that HAL has?
That would not surprise me as my LCD backlight is currently fully
supported ONLY with HAL.

-Pascal
-- 
Homepage (http://organact.mine.nu)
Debian GNU/Linux (http://www.debian.org)
COMunité/LACIME: École de technologie supérieure (http://www.comunite.ca)




Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Sat, 03 Jul 2010 07:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 580429@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Sat, 03 Jul 2010 07:51:03 GMT) Full text and rfc822 format available.

Message #55 received at 580429@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Pascal Giard <evilynux@gmail.com>, 580429@bugs.debian.org
Subject: Re: Bug#580429: Estimated time remaining
Date: Sat, 03 Jul 2010 09:47:14 +0200
[Message part 1 (text/plain, inline)]
Le vendredi 02 juillet 2010 à 21:10 -0400, Pascal Giard a écrit :
> > On my laptop this is displayed in the tooltip when I put the mouse over
> > the icon.
> 
> I only get "Batterie de l'ordinateur: en déchar (63.2%)", no estimated
> time remaining...
> Am I missing something?

This is what g-p-m displays when upower doesn’t give a time estimation.
There could be several reasons for that - for example a battery that
doesn’t show the discharging current and/or capacity.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Sat, 03 Jul 2010 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Sat, 03 Jul 2010 10:27:03 GMT) Full text and rfc822 format available.

Message #60 received at 580429@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 580429@bugs.debian.org
Subject: Re: Bug#580429: Please disable hal support / battstat applet
Date: Sat, 03 Jul 2010 12:25:42 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Freitag, den 02.07.2010, 10:19 +0200 schrieb Joachim Breitner:
>  Am Freitag, den 02.07.2010, 10:07 +0200 schrieb Josselin Mouette:
> > Le vendredi 02 juillet 2010 à 08:48 +0200, Joachim Breitner a écrit :
> > > I’m a user of the battstat applet and was surprised to find it defunct
> > > in the latest version. I has a look at the gnome-power-manager display,
> > > but found it inferior to the applet:
> > >  * At least on my vertical panel, the gnome-power-manager icon was
> > > shorter than the applet, thus provided a less exact view on the battery
> > > status.
> > >  * g-p-m puts it in the _notification_ area, although it provides (at
> > > least when permanently on) status information that I would like to place
> > > freely on the panel, next to other status informations. This ways, it is
> > > always at the same position, no matter how many notifications I am
> > > receiving.
> > 
> > The battstat applet is a nice one of course, but it uses an obsolete
> > interface that we want to get rid of.
> > 
> > It shouldn’t be too hard to port it to use upower instead of HAL.
> > Unfortunately no one has found interest for it so far.
> 
> just for reference, this seems to be a related upstream bug:
> https://bugzilla.gnome.org/show_bug.cgi?id=607254
> 
> You could just enable the ACPI code and see if users complain.

I just did that, but it turns out that does not work, at least on my
computer. Maybe some acpi driver is missing, maybe the acpi code in
battstat-applet is just bitrot. Looks like a port to upower is the only
way to go :-(

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Mon, 05 Jul 2010 18:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Giard <evilynux@gmail.com>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Mon, 05 Jul 2010 18:18:05 GMT) Full text and rfc822 format available.

Message #65 received at 580429@bugs.debian.org (full text, mbox):

From: Pascal Giard <evilynux@gmail.com>
To: 580429@bugs.debian.org
Subject: Re: Bug#580429: Estimated time remaining
Date: Mon, 5 Jul 2010 14:15:14 -0400
On Sat, Jul 3, 2010 at 3:47 AM, Josselin Mouette <joss@debian.org> wrote:
> Le vendredi 02 juillet 2010 à 21:10 -0400, Pascal Giard a écrit :
>> > On my laptop this is displayed in the tooltip when I put the mouse over
>> > the icon.
>>
>> I only get "Batterie de l'ordinateur: en déchar (63.2%)", no estimated
>> time remaining...
>> Am I missing something?
>
> This is what g-p-m displays when upower doesn’t give a time estimation.
> There could be several reasons for that - for example a battery that
> doesn’t show the discharging current and/or capacity.

Well I may be slightly digressing... although it's related with the
question "is g-p-m feature par with battstat?".
I'd say "no". At least when battery power rate is not valid.

Which seems to be my case as a power rate of 7.2mW seems impossible
for a Tablet PC. That may explain why g-p-m does not provide an
estimation.
Other than the power rate, my battery seems to provide the other
required info such as the charge.
Interestingly, g-p-m does not seem to record any charge/discharge history.

Cheers,

-Pascal
-- 
Homepage (http://organact.mine.nu)
Debian GNU/Linux (http://www.debian.org)
COMunité/LACIME: École de technologie supérieure (http://www.comunite.ca)




Added tag(s) patch. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Mon, 05 Jul 2010 20:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Mon, 05 Jul 2010 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Mon, 05 Jul 2010 20:33:03 GMT) Full text and rfc822 format available.

Message #72 received at 580429@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 580429@bugs.debian.org
Subject: Re: Bug#580429: Please disable hal support / battstat applet
Date: Mon, 05 Jul 2010 22:29:45 +0200
[Message part 1 (text/plain, inline)]
Hi again,

Am Samstag, den 03.07.2010, 12:25 +0200 schrieb Joachim Breitner:
> I just did that, but it turns out that does not work, at least on my
> computer. Maybe some acpi driver is missing, maybe the acpi code in
> battstat-applet is just bitrot. Looks like a port to upower is the
> only way to go :-( 

I gave it a shot and it was quite doable. I submitted a patch upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=607254#c7

I think releasing a stable release with a removed battstat-applet should
be avoided. Please consider applying the patch so it gets more testing
before the release than if we’d wait for upstream to release with it.

I’m running the patched version on my thinkpad T400 and it works fine so
far.

Thanks,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#580429; Package gnome-applets. (Tue, 06 Jul 2010 07:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 580429@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Tue, 06 Jul 2010 07:21:05 GMT) Full text and rfc822 format available.

Message #77 received at 580429@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Pascal Giard <evilynux@gmail.com>, 580429@bugs.debian.org
Subject: Re: Bug#580429: Estimated time remaining
Date: Tue, 06 Jul 2010 09:16:40 +0200
Le lundi 05 juillet 2010 à 14:15 -0400, Pascal Giard a écrit :
> Interestingly, g-p-m does not seem to record any charge/discharge history.

But upower does, in /var/lib/upower.

-- 
 .''`.
: :' :      “Fuck you sir, don’t be suprised when you die if
`. `'       you burn in Hell, because I am a solid Christian
  `-        and I am praying for you.”   --  Mike





Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Wed, 07 Jul 2010 20:24:06 GMT) Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. (Wed, 07 Jul 2010 20:24:06 GMT) Full text and rfc822 format available.

Message #82 received at 580429-done@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 580429-done@bugs.debian.org
Subject: Re: Bug#580429: Please disable hal support / battstat applet
Date: Wed, 07 Jul 2010 22:21:04 +0200
[Message part 1 (text/plain, inline)]
Version: 2.30.0-3

Le lundi 05 juillet 2010 à 22:29 +0200, Joachim Breitner a écrit :
> I gave it a shot and it was quite doable. I submitted a patch upstream:
> https://bugzilla.gnome.org/show_bug.cgi?id=607254#c7

Thanks for the patch. I’ve just uploaded it to unstable.
(And forgot to close the bug in the changelog, hence doing it now.)

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Aug 2010 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:07:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.